/*
 * Copyright 2005 Jeff Genender.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.codehaus.mojo.jspc;

import java.util.List;

/**
 * @goal compile
 * @phase compile
 * @requiresDependencyResolution compile
 * @description Compiles Jsps.
 * @author jgenender@apache.org
 * @author jgenender <jgenender@apache.org>
 * @author Grzegorz Slowikowski
 * @version $Id: JspcMojo.java 2166 2006-07-18 21:32:16Z carlos $
 */
public class JspcMojo extends AbstractJspcMojo {

    /**
     * Project classpath.
     *
     * @parameter expression="${project.compileClasspathElements}"
     * @required
     * @readonly
     */
    private List classpathElements; 

    
    protected List getClasspathElements()
    {
        return classpathElements;
    }
}
